Summary:        A modular geoinformation service
Summary(ja):    モジュール型地理情報サービス

Name:           geoclue2
Version:        2.0.0
Release:        1%{?_dist_release}

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.freedesktop.org/wiki/Software/GeoClue/
Source0:        http://cgit.freedesktop.org/geoclue/snapshot/geoclue-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: geocode-glib-devel
BuildRequires: json-glib-devel
BuildRequires: libsoup-devel
BuildRequires: gtk-doc
BuildRequires: itstool

Vendor: Project Vine
Distribution: Vine Linux

%description
Geoclue is a modular geoinformation service built on top of the D-Bus 
messaging system. The goal of the Geoclue project is to make creating 
location-aware applications as simple as possible. 

%package devel
Summary: Development package for geoclue
Summary(ja): geoclue の開発パッケージ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with geoclue.


%prep
%setup -q -n geoclue-%{version}

%build
gtkdocize
autoreconf -v --force --install
intltoolize -f
%configure \
	--disable-static \
	--disable-gtk-doc \
	--disable-geoip-server
make %{?_smp_mflags} 

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.GeoClue2.conf
%{_libexecdir}/geoclue
%{_datadir}/dbus-1/system-services/org.freedesktop.GeoClue2.service
%{_datadir}/geoclue-2.0/geoclue-interface.xml

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/geoclue-2.0.pc


%changelog
* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.0-1
- initial build

