%{!?python3_sitearch: %define python3_sitearch %(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name: python3-pygobject
Summary: Python3 bindings for GObject Introspection
Summary(ja): GObject Introspection の Python3 バインディング
Version: 3.10.2
Release: 1%{?_dist_release}

Group: Development/Languages
License: LGPL
URL: http://www.pygtk.org/

Source: http://ftp.gnome.org/pub/GNOME/sources/pygobject/3.10/pygobject-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glib2-devel >= 2.26.0
BuildRequires: python3-devel >= 3.3
BuildRequires: libffi-devel
BuildRequires: libtool, automake
BuildRequires: gobject-introspection-devel >= 0.9.8
BuildRequires: python3-pycairo-devel >= 1.10.0
Requires: python3 >= 3.3

Obsoletes:	%{name}-doc < 3.10.0

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
pygobject provides a convenient wrapper for the GObject library
for use in Python programs.

%package devel
Summary: Development files for building add-on libraries
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pygobject3-devel
Requires: python3-devel

%description devel
This package contains files required to build wrappers for
pygobject-based libraries such as pygtk2.


%prep
%setup -q -n pygobject-%{version}

%build
# --disable-docs doesn't work; it builds the docs anyway.
%configure \
    --enable-silent-rules \
    --disable-static \
    --enable-thread
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
make LIBTOOL=/usr/bin/libtool DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT -name '*.la' -or -name '*.a' | xargs rm -f
rm -f examples/Makefile*

# conflict with pygobject
rm -rf $RPM_BUILD_ROOT%{python_sitearch}/gtk-2.0
rm -rf $RPM_BUILD_ROOT%{_datadir}/pygobject

# conflict with pygobject3
rm -f $RPM_BUILD_ROOT%{_includedir}/pygobject-3.0/pygobject.h
rm -f $RPM_BUILD_ROOT%{_libdir}/pkgconfig/pygobject-3.0.pc

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644, root, root, 755)
%doc AUTHORS NEWS README ChangeLog
%{_libdir}/libpyglib-gi-2.0-python3.so.*
%{python3_sitearch}/pygtkcompat
%{python3_sitearch}/*.egg-info
%{python3_sitearch}/gi

%files devel
%defattr(644, root, root, 755)
%{_libdir}/libpyglib-gi-2.0-python3.so


%changelog
* Sun Nov 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.2-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- initial build

